# FromUserMessage - docs

docs / com.github.insanusmokrassar.TelegramBotAPI.types.message.abstracts / FromUserMessage

# FromUserMessage

(common) `interface FromUserMessage` (source)

### Properties

(common)

#### user

`abstract val user: User`

### Inheritors

(common)

#### CommonMediaGroupMessage

`data class CommonMediaGroupMessage : MediaGroupMessage, FromUserMessage`

(common)

#### CommonMessageImpl

`data class CommonMessageImpl<T : MessageContent> : Message, CommonMessage<T>, FromUserMessage`